﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="GetResultsData.aspx.cs" Inherits="ResellerExampleCodeCSharp.GetResultsData" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>DirectLabs Results Demo in C#</title>
</head>
<body>
    <form id="form1" runat="server">
       <asp:Image runat="server" ID="imgDLS" ImageUrl="http://www.directlabs.com/Portals/0/Images/DLSLogoWithAddress.gif" />
       <br /><br />
       <asp:Label runat="server" ID="lblOrderID" Text="OrderID:" />
       <asp:TextBox runat="server" ID="txtOrderID" />&nbsp;&nbsp;
       <asp:Button runat="server" Text="Get Results" OnClick="GetResults" />

       <div>
         <asp:GridView ID="gvResults" runat="server" AutoGenerateColumns="false">
            <Columns>
              <asp:TemplateField HeaderText="Patient Name"  HeaderStyle-Font-Size="Small" HeaderStyle-Font-Names="Tahoma" >
                    <ItemTemplate>
                        <asp:Label ID="orderid" runat="server" Text='<%# Eval("fk_OrderID") %>' Font-Size="Small" Font-Names="Tahoma" />
                    </ItemTemplate>
               </asp:TemplateField>  
                <asp:TemplateField HeaderText="Patient Name"  HeaderStyle-Font-Size="Small" HeaderStyle-Font-Names="Tahoma" >
                    <ItemTemplate>
                        <asp:Label ID="lblLName" runat="server" Text='<%# Eval("PatientName") %>'  Font-Size="Small" Font-Names="Tahoma" />
                    </ItemTemplate>
               </asp:TemplateField>  
               <asp:TemplateField HeaderText="Date of Birth"  HeaderStyle-Font-Size="Small" HeaderStyle-Font-Names="Tahoma" >
                    <ItemTemplate>
                        <asp:Label ID="lblLDOB" runat="server" Text='<%# Eval("DateOfBirth") %>'  Font-Size="Small" Font-Names="Tahoma" />
                    </ItemTemplate>
                </asp:TemplateField>

            </Columns>
        </asp:GridView>
         <asp:Repeater ID="rpDetails" runat="server" >
            <HeaderTemplate>
                <p><strong>Results</strong></p>
                <table cellspacing="0" cellpadding="1" border="1" >
                    <tr>
                        <td align="center">Result Code</td>
                        <td align="center">Description</td>
                        <td align="center">Obs Date</td>
                        <td align="center">Loinc Code</td>
                        <td align="center">Loinc Desc</td>
                        <td align="center">Obs Value</td>
                        <td align="center">Units</td>
                        <td align="center">Range Ref</td>
                    </tr>
                    </HeaderTemplate>
                    <ItemTemplate>
                        <tr style="border-top:border-style=solid:border-width=2:border-color=black">
                            
                            <td align="center" style="font-size:small; font-family:Tahoma;">
                                <%# DataBinder.Eval(Container.DataItem,"ResultCode") %>&nbsp;
                            </td>
                              <td align="center" style="font-size:small; font-family:Tahoma;">
                                <%# DataBinder.Eval(Container.DataItem,"Description") %>&nbsp;
                            </td>                  
                            <td align="center" style="font-size:small; font-family:Tahoma;">
                                <%# DataBinder.Eval(Container.DataItem,"ObsDate_Format") %>&nbsp;
                            </td>
                            <td align="center" style="font-size:small; font-family:Tahoma;">
                                <%# DataBinder.Eval(Container.DataItem,"LoincCode") %>&nbsp;
                            </td>
                            <td align="center" style="font-size:small; font-family:Tahoma;">
                                <%# DataBinder.Eval(Container.DataItem,"LoincDesc") %>&nbsp;
                            </td>
                            <td align="center" style="font-size:small; font-family:Tahoma;">
                                <%# DataBinder.Eval(Container.DataItem,"ObsValue") %>&nbsp;
                            </td> 
                             <td align="center" style="font-size:small; font-family:Tahoma;">
                                <%# Eval("Units") %>&nbsp;
                            </td>
                            <td align="center" style="font-size:small; font-family:Tahoma;">
                                <%# DataBinder.Eval(Container.DataItem,"RangeRef") %>&nbsp;
                            </td>                                                                                                              
                        </tr>
                        <tr>
                            <td></td>
                            <td colspan="10">
                                <asp:HiddenField ID="hdnID" runat="server" Value='<%# Eval("PK_ResultsDetail") %>' />
                                <asp:GridView ID="gvNotes" runat="server" DataSourceID="odsNotes" AutoGenerateColumns="false" Width="100%" >
                                    <Columns>
                                        <asp:TemplateField HeaderText="Notes" HeaderStyle-Font-Size="Small" HeaderStyle-Font-Names="Tahoma" >
                                            <ItemTemplate>
                                                <span style=" font-family:Tahoma; font-size:x-small;"><%# Eval("Comment")%></span>
                                            </ItemTemplate>
                                        </asp:TemplateField>
                                    </Columns>
                                </asp:GridView>
                                <asp:ObjectDataSource ID="odsNotes" TypeName="ResellerExampleCodeCSharp.DataConsumer" runat="server"
                                    selectmethod="GetDetailNotes">
                                    <SelectParameters>
                                        <asp:ControlParameter Name="detailID" ControlID="hdnID" PropertyName="Value" DefaultValue="0" />
                                    </SelectParameters>
                                </asp:ObjectDataSource>
                            </td>                     
                        </tr>

                    </ItemTemplate>
                    <FooterTemplate>
                </table>
            </FooterTemplate>
        </asp:Repeater>   
    </div>
    </form>
</body>
</html>
